/* Copyright (c) 2000-2001 ActiveState SRL. 
   See the file LICENSE.txt for licensing information. */

/* Web Services Setup Wizard - panel */

//---- globals

var _gPanelName = "chooseExtensionDir";
var _gFindingInterps = false;
var currentDir=null;
//---- Wizard Infrastructure interface routines

function validate()
{
    return parent.wd_info.extensionDir &&
        parent.wd_info.extensionDir == parent._gOsPath.realpath(parent.wd_info.extensionDir)
}

function _UpdateExistingDir(dir)
{
    // Persist.
    currentDir = parent.wd_info.extensionDir = dir;

    // Display the installation selection.
    document.getElementById("existingextdir").value = dir;
}

function _UpdateExtensionDir(dir)
{
    // Persist.
    parent.wd_info.extensionDir = parent._gOsPath.realpath(dir);

    // Display the installation selection.
    document.getElementById("extensiondir").value = dir;
}


//---- interface for wsSetup_ChooseInstallation.xul
function onInit()
{
}


function OnLoad()
{
    // Give a nice header name for this pane.
    var headerWidget = parent.document.getElementById("header");
    headerWidget.setAttribute("title", "Choose PHP extension directory");
    headerWidget.setAttribute("description",
        "Select the path for the debugger extension to be installed into.");

    parent._gPhpInfo.installationPath = parent.wd_info.interpreter;
    // use the ini we're going to copy
    parent._gPhpInfo.cfg_file_path = parent._gOsPath.dirname(parent.wd_info.ini);
    _UpdateExistingDir(parent._gPhpInfo.extension_dir);
    
    var dir = parent.wd_info.extensionDir;
    // an unconfigured ini file with have ./
    if (!dir || dir == './') {
        dir = parent._gOsPath.join(parent._gOsPath.dirname(parent.wd_info.interpreter),'extensions');
    }
    _UpdateExtensionDir(dir)
    
    parent.wizardManager.onPageLoad(_gPanelName);
}

function UpdateDir_OnKeyup()
{
    parent.wd_info.extensionDir = document.getElementById("extensiondir").value;
}

function UpdateDir_OnBrowse()
{
    var dir = document.getElementById("extensiondir").value;
    if (!dir) {
    }
    var extensionDir = filepicker_getFolder(dir)
    if (extensionDir != null) {
        _UpdateExtensionDir(extensionDir);
    }
}



