/* Copyright (c) 2003 ActiveState Corporation.
   See the file LICENSE.txt for licensing information. */

const tag = "chrome://jaguar/content/pref/pref-newfiles.xul";

var _elementIDs = [
    "fileDefaultNew",
    "donotask_old_template_codes",
    "mruTemplateSize"
];

function PrefNewFiles_OnLoad() {
    parent.hPrefWindow.onpageload(tag);
}

function OnPreferencePageLoading(prefset) {
    var newLang = prefset.getStringPref("fileDefaultNew");
    document.getElementById("fileDefaultNew").selection = newLang;
}

function OnPreferencePageUnloading(prefset) {
    prefset.setStringPref("fileDefaultNew",
                          document.getElementById("fileDefaultNew").selection);
}

function PrefNewFiles_ClearTemplateMRU() {
    var answer = dialog_yesNo("Are you sure you would like to clear the "+
                              "list of recently used templates?");
    if (answer == "Yes") {
        MRU_reset("mruTemplateList");
    }
}
