	<script language="JavaScript">
	<!--
	function quickjump(dropdown) {
		var i = dropdown.selectedIndex
		location = dropdown.options[i].value
	}
	//-->
	</script>
	<?
include("class.soap_client.php");

// method test params
$method_params["echoString"]["inputString"] = "blah";
$method_params["echoStringArray"]["inputStringArray"] = array("good","bad");
$method_params["echoInteger"]["inputInteger"] = 34345;
//$method_params["echoIntegerArray"]["inputIntegerArray"] = array(-1,342,325325);
$method_params["echoIntegerArray"]["inputIntegerArray"] = array(1,234324324,2);
$method_params["echoFloat"]["inputFloat"] = 342.23;
//$method_params["echoFloatArray"]["inputFloatArray"] = array(1.3223,34.2,325.325);
$method_params["echoFloatArray"]["inputFloatArray"] = array(
	new soapval("nan","float",32432.234),
	new soapval("inf","float",-23423.23),
	new soapval("neginf","float",-INF));
$method_params["echoStruct"]["inputStruct"] = new soapval("inputStruct","SOAPStruct",array(
	"varString"=>"arg",
	"varInt"=>34,
	"varFloat"=>325.325));
$method_params["echoStructArray"]["inputStructArray"] = array(
	new soapval("item","SOAPStruct",array("varString"=>"arg",
	"varInt"=>34,
	"varFloat"=>325.325)),
	new soapval("item","SOAPStruct",array("varString"=>"arg",
	"varInt"=>34,
	"varFloat"=>325.325)),
	new soapval("item","SOAPStruct",array("varString"=>"arg",
	"varInt"=>34,
	"varFloat"=>325.325))
);
$method_params["echoVoid"] = "";
$method_params["echoBase64"]["inputBase64"] = new soapval("inputBase64","base64","TmVicmFza2E=");
$method_params["echoDate"]["inputDate"] = new soapval("inputDate","timeInstant","2001-04-25T09:31:41-07:00");

$servers["localhost"] = array(
	"soapaction" => "urn:soapinterop",
	"endpoint" => "http://localhost/soapx4/Echo.php",
	"methodNamespace" => "http://soapinterop.org",
	"soapactionNeedsMethod" => 0,
	"name" => "localhost");
	
$servers["SOAPx4  - interop test suite (dev)"] = array(
	"soapaction" => "urn:soapinterop",
	"endpoint" => "http://dietrich.ganx4.com/soapx4/testbed/test_server.php",
	"methodNamespace" => "http://soapinterop.org",
	"soapactionNeedsMethod" => 0,
	"name" => "SOAPx4  - interop test suite (dev)");
$servers["SOAPx4 - interop test suite"] = array(
	"soapaction" =>"urn:soapinterop",
	"endpoint" =>"http://dietrich.ganx4.com/soapx4/soap.php",
	"path" =>"",
	"methodNamespace" => "http://soapinterop.org",
	"soapactionNeedsMethod" => 0,
	"name" => "SOAPx4 - interop test suite");
$soapclient = new soapclient("http://www.xmethods.net/perl/soaplite.cgi");
$endpointArray = $soapclient->call("getAllEndpoints",array(),"http://soapinterop.org/ilab","http://soapinterop.org/ilab#getAllEndpoints");
foreach($endpointArray as $k => $v){
	$servers[str_replace("+","",$v["name"])] = $v;
}
?>

<form action='test_methods.php' method='post'>
<select name='nserver'>
<option>Choose Server...
	<?
	print isset($nserver) ? "<option value='$PHP_SELF?nserver=$nserver'>$nserver" : "";
	foreach($servers as $k => $v){
		print "<option value='$k'>$k\n";
	}
	?>
</select>
<select name='method' onChange='submit(this.form)'>
	<option>method:
	<?
	foreach(array_keys($method_params) as $func){
		print "<option value='$func'>$func\n ";
	}
	?>
</select>
</form>

<?

if($method && $nserver){
	$server = $servers[$nserver];
	print "<b>METHOD: $method</b><br>";
	$soap_message = new soapmsg($method,$method_params[$method],$server["methodNamespace"]);
	$soap = new soap_client($server["endpoint"]);
	if($return = $soap->send($soap_message,$server["soapaction"])){
		// check for valid response
		if(get_class($return) == "soapval"){
			print "Correctly decoded server's response<br>";
			// fault?
			if(eregi("fault",$return->name)){
				$status = "failed";
			} else {
				$status = "passed";
			}
		} else {
			print "Client could not decode server's response<br>";
		}
	} else {
		print "Was unable to send or receive.";
	}
	
	//$soap->incoming_payload .= "\n\n<!-- SOAPx4 CLIENT DEBUG\n$client->debug_str\n\nRETURN VAL DEBUG: $return->debug_str-->";
	print "<strong>Request:</strong><br><xmp>$soap->outgoing_payload</xmp><br>";
	print "<strong>Response:</strong><br><xmp>$soap->incoming_payload</xmp>";
}

unset($soapmsg);
unset($soap);
?>
